Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2072574 - Fedora IoT 35 not composing due to /etc/resolv.conf not being a symlink
Summary: Fedora IoT 35 not composing due to /etc/resolv.conf not being a symlink
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: distribution
Version: 35
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Packaging Maintenance Team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: IoT
TreeView+ depends on / blocked
 
Reported: 2022-04-06 14:46 UTC by Geoffrey Marr
Modified: 2022-04-25 10:01 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-04-10 19:52:36 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)
screenshot(2).ppm (deleted)
2022-04-06 14:46 UTC, Geoffrey Marr
no flags Details

Description Geoffrey Marr 2022-04-06 14:46:22 UTC
Created attachment 1871102 [details]
screenshot(2).ppm

Description of problem:

Currently, Fedora 35 IoT is unable to compose due to the following error:

dasbus.error.DBusError: [Errno 2} No such file or directory: '/mnt/sysroot/etc/resolv.conf'

This was an issue for F36 and was fixed, could we get the same fix built for F35?

See https://bugzilla.redhat.com/show_bug.cgi?id=2018913

Comment 1 Geoffrey Marr 2022-04-06 14:48:00 UTC
Zbigniew, I saw you built the fix for this on F36, could you please build it for F35?

Comment 2 Geoffrey Marr 2022-04-06 14:51:51 UTC
Whoops, set wrong bug as the blocking IoT tracker. Fixed.

Comment 3 Fedora Update System 2022-04-06 20:26:58 UTC
FEDORA-2022-423231bb82 has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2022-423231bb82

Comment 4 Fedora Update System 2022-04-07 16:01:03 UTC
FEDORA-2022-423231bb82 has been pushed to the Fedora 35 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2022-423231bb82`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-423231bb82

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 5 Fedora Update System 2022-04-10 19:52:36 UTC
FEDORA-2022-423231bb82 has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 6 Jan Pazdziora 2022-04-11 13:50:01 UTC
Hello,

Fedora 35 now fails to install due to bug 2074083. Since the traceback is about resolv.conf, it is possible that it was change for this bugzilla which caused it.

Jan


Note You need to log in before you can comment on or make changes to this bug.